Debian Bug report logs - #616567
http://www.debian.org/devel/website/stats/de.html without spaces at edges

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Helge Kreutzmann <debian@helgefjell.de>

Date: Sat, 5 Mar 2011 16:51:02 UTC

Severity: normal

Done: Tobias Quathamer <toddy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616567; Package www.debian.org. (Sat, 05 Mar 2011 16:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <debian@helgefjell.de>:
New Bug report received and forwarded. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 05 Mar 2011 16:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <debian@helgefjell.de>
To: submit@bugs.debian.org
Subject: http://www.debian.org/devel/website/stats/de.html without spaces at edges
Date: Sat, 5 Mar 2011 17:48:37 +0100
[Message part 1 (text/plain, inline)]
Package: www.debian.org
Severity: normal

In the new layout the page has no space at either edge, i.e. at the
left side the letter start right at the border of the browser
(Iceweasel in Lenny). Especially if the browser window is very large this is
rather uncomfortable to read.

-- System Information:
Debian Release: 5.0.8
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32.28-grsec
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=UTF-8) (ignored: LC_ALL set to de_DE.UTF-8)
Shell: /bin/sh linked to /bin/bash
-- 
      Dr. Helge Kreutzmann                     debian@helgefjell.de
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616567; Package www.debian.org. (Sat, 05 Mar 2011 17:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 05 Mar 2011 17:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 616567@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: Helge Kreutzmann <debian@helgefjell.de>, 616567@bugs.debian.org, Tobias Quathamer <toddy@debian.org>
Subject: Re: Bug#616567: http://www.debian.org/devel/website/stats/de.html without spaces at edges
Date: Sat, 05 Mar 2011 13:01:23 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi,

Le 05/03/2011 12:48, Helge Kreutzmann a écrit :
> Package: www.debian.org

> In the new layout the page has no space at either edge, i.e. at the
> left side the letter start right at the border of the browser
> (Iceweasel in Lenny). Especially if the browser window is very large this is
> rather uncomfortable to read.

Tobias (CCed) already proposed a patch yesterday [1] and I wondered if
we could provide translation of these pages in the process [2]. It may
be handful to continue discussion inside this bug report.

[1] <1299256885.3095.44.camel@barks>
[2] <ikrafn$d2k$1@dough.gmane.org>

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNcmxiAAoJELgqIXr9/gnyG7UP/AjX732OfXuKfl/pXGtKcZap
C2GgDnkQImTgJSxkwKKPyLRFiHUXsb2dMl2ueAIbeoeNw5TlgVaJvA10YXSAZg+J
nVw2oo9GPe1GkDaFe7xKJhKTH//om71MlHszsj6JNLlpMFTIZkV7SDXwLDOgtFFc
E/MJhFhBwng4HJDqHuJDFcsz1DwWgAd5ETHyr40dwijN6N1icYEUWL3WDNX1WWqL
xtDlDwmZxbeA9wBWMpo5kRZSP+MIeHDuVztHB2YgGX6jNjTh/Jtd5olmpNllTU5t
Mls6rEMRsQQpllp02ZjirTIrZWlPxB7p9hil7cOB7QctDiyY0lps7x3dpgEeP5vQ
pydU+nbvfM9NmJ7rzy4gzipmc/oTPcxBmlC7l/NiGOMk4wfjUVYrjyuDR7s09Bxu
WZW04oH76wf7VaJ44KJ6QLnB+yBRA4MluBiky9oV6PHeWkYN6KO6yAwyAHDqKiuj
Uqqian3c+LK3c3lXf2E4Ufb/k4Dq45KXabNo0NBzNsvahB9YV4RSD+tBVaDrKsKr
Nh66MDxFsLEyJdUekaZet2RkzB/+oCq5fqYBRcrdKWvBbDb9NZnp6kTAWRyi3hw4
KPRESculYyEl/XoFPCJK2liOYuNM3OJOnlIzuqNEgGz/ZphkVUpUDaIzSA9pP4um
lzMqS7XNVMoqEERjU47Z
=tB1c
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616567; Package www.debian.org. (Mon, 07 Mar 2011 00:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Mon, 07 Mar 2011 00:06:04 GMT) Full text and rfc822 format available.

Message #15 received at 616567@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: 616567@bugs.debian.org, Tobias Quathamer <toddy@debian.org>
Subject: Re: New website layout for www.d.o/devel/website/stats
Date: Sun, 06 Mar 2011 20:02:42 -0400
[Message part 1 (text/plain, inline)]
Le 04/03/2011 12:41, Tobias Quathamer a écrit :
> Hi,

Hi,

> We would need a new subdirectory in webwml (devel/website/stats), with
> the attached minimal Makefile in it, nothing else.

Please, consider the attached diff to the Makefile (no need to trigger
the touch_translations.pl script when building those pages, not handled
in CVS anyway).

Please also consider the second patch to push the generated files in the
correct directory, and to actually build the pages on a normal site rebuild.

> This works for me locally. I would appreciate feedback before changing
> the script in the webwml tree.

It looks nice [0], great! Don't know if you already look at the
internationalization of those pages, but it could be handled afterward,
since your patch is already an improvement in my point of view.

0: http://www.tilapin.org/debian/devel/website/stats

Cheers

David

[Makefile.diff (text/x-patch, attachment)]
[stat.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Tobias Quathamer <toddy@debian.org>:
You have taken responsibility. (Mon, 07 Mar 2011 19:27:07 GMT) Full text and rfc822 format available.

Notification sent to Helge Kreutzmann <debian@helgefjell.de>:
Bug acknowledged by developer. (Mon, 07 Mar 2011 19:27:07 GMT) Full text and rfc822 format available.

Message #20 received at 616567-done@bugs.debian.org (full text, mbox):

From: Tobias Quathamer <toddy@debian.org>
To: 616567-done@bugs.debian.org
Cc: Helge Kreutzmann <debian@helgefjell.de>, David Prévot <david@tilapin.org>
Subject: Re: Bug#616567: http://www.debian.org/devel/website/stats/de.html without spaces at edges
Date: Mon, 07 Mar 2011 20:16:09 +0100
[Message part 1 (text/plain, inline)]
Am Samstag, den 05.03.2011, 13:01 -0400 schrieb David Prévot:
> Le 05/03/2011 12:48, Helge Kreutzmann a écrit :
> > Package: www.debian.org
> 
> > In the new layout the page has no space at either edge, i.e. at the
> > left side the letter start right at the border of the browser
> > (Iceweasel in Lenny). Especially if the browser window is very large this is
> > rather uncomfortable to read.
> 
> Tobias (CCed) already proposed a patch yesterday [1] and I wondered if
> we could provide translation of these pages in the process [2]. It may
> be handful to continue discussion inside this bug report.

Hi,

I've just committed my patch (with David's suggestions, many thanks!) to
CVS, so the page should be rebuild in the next hour and use the new
layout.

Regarding the translatability (does that word exist?), we can look into
that in a second step -- although I have to admit that it's probably
much work for a little gain.

Regards,
Tobias

-- 
Tobias Quathamer | God, I ask for patience -- and I want it right now!
Hamburg, Germany |

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616567; Package www.debian.org. (Mon, 07 Mar 2011 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Quathamer <toddy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Mon, 07 Mar 2011 20:15:03 GMT) Full text and rfc822 format available.

Message #25 received at 616567@bugs.debian.org (full text, mbox):

From: Tobias Quathamer <toddy@debian.org>
To: 616567@bugs.debian.org
Cc: Helge Kreutzmann <debian@helgefjell.de>, David Prévot <david@tilapin.org>
Subject: Re: Bug#616567: http://www.debian.org/devel/website/stats/de.html without spaces at edges
Date: Mon, 07 Mar 2011 21:06:08 +0100
[Message part 1 (text/plain, inline)]
Am Montag, den 07.03.2011, 20:16 +0100 schrieb Tobias Quathamer:
> Hi,
> 
> I've just committed my patch (with David's suggestions, many thanks!) to
> CVS, so the page should be rebuild in the next hour and use the new
> layout.

Hrm, that did not work. The stats pages are now not refreshed, but I
hope to have identified the issue and already committed a fix for
stattrans.pl.

If this is not the case (and the stats are not regenerated in the next
four hours), I suggest to revert the change and try to investigate what
the problem is.

Regards,
Tobias

-- 
Tobias Quathamer | There is no future in time travel.
Hamburg, Germany |

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616567; Package www.debian.org. (Mon, 07 Mar 2011 20:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Mon, 07 Mar 2011 20:30:07 GMT) Full text and rfc822 format available.

Message #30 received at 616567@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: Tobias Quathamer <toddy@debian.org>, 616567@bugs.debian.org
Cc: Helge Kreutzmann <debian@helgefjell.de>
Subject: Re: Bug#616567: http://www.debian.org/devel/website/stats/de.html without spaces at edges
Date: Mon, 07 Mar 2011 16:28:56 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Le 07/03/2011 16:06, Tobias Quathamer a écrit :
> Am Montag, den 07.03.2011, 20:16 +0100 schrieb Tobias Quathamer:
>> Hi,
>>
>> I've just committed my patch (with David's suggestions, many thanks!) to
>> CVS, so the page should be rebuild in the next hour and use the new
>> layout.
> 
> Hrm, that did not work. The stats pages are now not refreshed

Sorry, I forgot “english” in the target directory (/org is already a
symlink to /srv on wolkenstein). Should be fixed now, thanks for the
head-up.

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNdUAGAAoJELgqIXr9/gnyAjcP/jQHoyu6fvhb9Yoc/he3LhOp
NZlh4tO7vX7TosqBgS/nbwuyD1i+xDNaiBSU6thNSJQQIuBo1xSLm9Puf5xLrhIe
S8pAXxTmRCIGS/X0x7UREbhuehQqls6fe54v63f3fLYJ4u4XG/+ThmX87PZ2Ykpr
laeUFrePD/ne4f/mUXqPW/ml6fpCxftFwIdRTy44WsaAZ/Ti7o/FxcT7OqH1hn5q
Q0XpVx8SO5yWsh6n6jXPR9WZwNiAlUAn5eQvEKYE1IbMS+liji5KnUK65QZD0N3/
KioejtWrAjS/vZfT8hhro8F5uHYsUwsnW1vw1ouBoXMxGjU/EMpfgjmBDuVLYmM4
6GfJs1YBCavkpTLyxRr0vmiLYun3To2XSnaYcmf7OGXeYO7WB5lkrvX7nmmxVYA2
00MMNEoU2jvbzaHUTR6RrkPIIgwnrXcfYhNWaALUT/uZRNU32ldnTHqYZdKeNMJq
0XMgyYf99YAVIKc1+bb6/i8fBlD76M8jrP+QRQBgRaedjN0u1OwlIpZ+Sth2+yXO
xqwlu93a3ztjiIDS/Y3zuCg5oqMBOJ0yASTiu2AKUDm623o6z3uxL/4fSvIQBZJr
XNuxbgDtQmnY1X1djd2rPsUksTZnOnizFec0omfYERLMZFDPg/pypANzxui97EUC
vQrVRb4dhVpXnlWysYVO
=NKEl
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616567; Package www.debian.org. (Tue, 08 Mar 2011 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Quathamer <toddy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 08 Mar 2011 09:27:03 GMT) Full text and rfc822 format available.

Message #35 received at 616567@bugs.debian.org (full text, mbox):

From: Tobias Quathamer <toddy@debian.org>
To: David Prévot <david@tilapin.org>
Cc: Helge Kreutzmann <debian@helgefjell.de>, 616567@bugs.debian.org
Subject: Re: Bug#616567: http://www.debian.org/devel/website/stats/de.html without spaces at edges
Date: Tue, 08 Mar 2011 10:22:32 +0100
[Message part 1 (text/plain, inline)]
Am Montag, den 07.03.2011, 16:28 -0400 schrieb David Prévot:
> Sorry, I forgot “english” in the target directory (/org is already a
> symlink to /srv on wolkenstein). Should be fixed now, thanks for the
> head-up.

Hi David,

thanks for spotting this, the pages build fine now. However, could you
log into www-master.d.o and remove the old (and now outdated) files
$(LANGUAGE).html? They are still present, but are no longer refreshed.

Regards,
Tobias

-- 
Tobias Quathamer | Women are just like men, only different.
Hamburg, Germany |

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616567; Package www.debian.org. (Tue, 08 Mar 2011 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 08 Mar 2011 14:00:03 GMT) Full text and rfc822 format available.

Message #40 received at 616567@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: Tobias Quathamer <toddy@debian.org>
Cc: Helge Kreutzmann <debian@helgefjell.de>, 616567@bugs.debian.org
Subject: Re: Bug#616567: http://www.debian.org/devel/website/stats/de.html without spaces at edges
Date: Tue, 08 Mar 2011 09:56:25 -0400
[Message part 1 (text/plain, inline)]
Le 08/03/2011 05:22, Tobias Quathamer a écrit :
> Hi David,

Hi Tobias,

> thanks for spotting this, the pages build fine now. However, could you
> log into www-master.d.o and remove the old (and now outdated) files
> $(LANGUAGE).html? They are still present, but are no longer refreshed.

Ho, I thought I checked that yesterday and that the links were created
gracefully. Anyway, don't know if someone beat me on this one, but thats
fixed now.

For what it's worth, please find attached the current WIP patch I used
to build the French index [0]. I'll continue in order to offer the
ability to build those stats in every supported language via a single PO
file (as a translator, I thought about doing that for quite some time).

	0: http://www.tilapin.org/debian/devel/website/stats/index.fr

I intend to create a website/devel/stats directory in each language and
handle the build à la sitemap, but if something smarter comes up, I
would be glad to try something else.

Regards

David

[stattrans.pl.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Apr 2011 07:45:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:28:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.